New payment request
The first step is to submit the details of the payment you'd like to initiate. We'll validate that all the required data is supplied and that it's a payment that Volt can support.
Step-by-step instructions for payment initiation are available in our integration guides area.
Authorization
oauth OAuth2 password grant - see the documentation in the oAuth2 Authentication section
In: header
Request Body
application/json
Details of the payment you'd like to initiate
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://api.sandbox.volt.io/v2/payments" \ -H "Content-Type: application/json" \ -d '{ "currencyCode": "GBP", "amount": 12345, "type": "OTHER", "shopper": { "reference": "user-13489" } }'{
"id": "93b85f3c-76eb-4316-b1ae-f3370ddc59bc",
"checkoutUrl": "https://checkout.volt.io/93b85f3c-76eb-4316-b1ae-f3370ddc59bc?auth=jwtToken"
}{
"exception": {
"code": 403,
"message": "A resource has already been created with this idempotency key."
}
}New embedded checkout request POST
The first step is to submit the details of the payment you'd like to initiate. We'll validate that all the required data is supplied and that it's a payment that Volt can support. Step-by-step instructions for creating an embedded checkout are available in our [integration guides](https://docs.volt.io/gateway/integration-embedded-v2/) area.
Download a report GET
This endpoint allows downloading a previously generated report in CSV format. Use the ```id``` returned when you requested the report.